| edamname

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Find EDAM ontology terms by name

## Description

edamname searches the names and synonyms of EDAM terms and returns matching terms. The input is read from the installed EDAM database. The ontology term output can be written to screen, to file, or passed to another program. A wide range of standard ontology term formats may be specified for input and output.

Optionally the search can be restricted to specified EDAM namespaces.

## Usage

Here is a sample session with edamname

    % edamname "*sequence_set*"
    Find EDAM ontology terms by name
    Obo output file [edamname.obo]:

Go to the output files for this example

Example 2

    % edamname "*sequence_set*" -subclasses
    Find EDAM ontology terms by name
    Obo output file [edamname.obo]:

Go to the output files for this example

## Command line arguments

    Find EDAM ontology terms by name
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-query]             string     Name(s) to search for in ontology (Any
                                      string)
      [-outfile]           outobo     [*.edamname] Output ontology term file name

       Additional (Optional) qualifiers:
       -namespace          menu       [*] By default all terms are returned.
                                      Searches can be limited to one or a few
                                      namespaces. (Values: data (Data entity);
                                      entity (Biological entity); format (Data
                                      format); identifier (Identifier); operation
                                      (Bioinformatics operation); resource (Data
                                      resource); topic (Field of bioinformatics
                                      study))

       Advanced (Unprompted) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations (EDAM
                                      sub-classes) of the matched type.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Associated qualifiers:

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-query] (Parameter 1) | string | Name(s) to search for in ontology | Any string |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.edamname
Additional (Optional) qualifiers

-namespace

list

By default all terms are returned. Searches can be limited to one or a few namespaces.

data | (Data entity)
entity | (Biological entity)
format | (Data format)
identifier | (Identifier)
operation | (Bioinformatics operation)
resource | (Data resource)
topic | (Field of bioinformatics study)

*

Advanced (Unprompted) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (EDAM sub-classes) of the matched type. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Associated qualifiers
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

edamname queries the EDAM ontology.

## Output file format

The output is a standard EMBOSS ontology term file.

The results can be output in one of several styles by using the command-line qualifier `-oformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: obo, brief, list, html, xml, json, excel.

See: http://emboss.sf.net/docs/themes/OntologyFormats.html for further information on ontology formats.

### Output files for usage example

### File: edamname.obo

    [Term]
    id: EDAM_data:1233
    name: Sequence set (protein)
    namespace: data
    def: Any collection of multiple protein sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1064
    name: Sequence set ID
    namespace: identifier
    def: An identifier of a set of molecular sequence(s).
    subset: bioinformatics
    subset: data
    subset: edam
    subset: identifiers
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0976 ! Identifier (typed)
    is_a: EDAM_data:2091 ! Accession
    relationship: is_identifier_of EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    namespace: data
    def: A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method.
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "SO:0001260" RELATED []
    created_in: "beta12orEarlier"
    is_a: EDAM_data:2955 ! Sequence report

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

    [Term]
    id: EDAM_data:2245
    name: Sequence set (bootstrapped)
    namespace: data
    def: A collection of sequences output from a bootstrapping (resampling) procedure.
    comment: Bootstrapping is often performed in phylogenetic analysis.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set

### Output files for usage example 2

### File: edamname.obo

    [Term]
    id: EDAM_data:1233
    name: Sequence set (protein)
    namespace: data
    def: Any collection of multiple protein sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1245
    name: Sequence cluster (protein)
    namespace: data
    def: A cluster of protein sequences.
    comment: The sequences are typically related, for example a family of sequences.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "Protein sequence cluster" EXACT []
    created_in: "beta12orEarlier"
    is_a: EDAM_data:1233 ! Sequence set (protein)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:1262
    name: Peptide molecular weight hits
    namespace: data
    def: A report on peptide fragments of certain molecular weight(s) in one or more protein sequences.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:1233 ! Sequence set (protein)

    [Term]
    id: EDAM_data:1238
    name: Proteolytic digest
    namespace: data
    def: A protein sequence cleaved into peptide fragments (by enzymatic or chemical cleavage) with fragment masses.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:1233 ! Sequence set (protein)
    relationship: has_topic EDAM_topic:0767 ! Protein and peptide identification

    [Term]
    id: EDAM_data:1064

      [Part of this file has been deleted for brevity]

    id: EDAM_data:1246
    name: Sequence cluster (nucleic acid)
    namespace: data
    def: A cluster of nucleotide sequences.
    comment: The sequences are typically related, for example a family of sequences.
    subset: bioinformatics
    subset: data
    subset: edam
    synonym: "Nucleotide sequence cluster" EXACT []
    created_in: "beta12orEarlier"
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:1239
    name: Restriction digest
    namespace: data
    def: Restriction digest fragments from digesting a nucleotide sequence with restriction sites using a restriction endonuclease.
    subset: bioinformatics
    subset: data
    subset: edam
    xref: SO:0000412
    created_in: "beta12orEarlier"
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)

    [Term]
    id: EDAM_data:2245
    name: Sequence set (bootstrapped)
    namespace: data
    def: A collection of sequences output from a bootstrapping (resampling) procedure.
    comment: Bootstrapping is often performed in phylogenetic analysis.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1235
    name: Sequence cluster
    namespace: data
    def: A set of sequences that have been clustered or otherwise classified as belonging to a group including (typically) sequence cluster information.
    comment: The cluster might include sequences identifiers, short descriptions, alignment and summary information.
    subset: bioinformatics
    subset: data
    subset: edam
    created_in: "beta12orEarlier"
    is_a: EDAM_data:0850 ! Sequence set
    relationship: has_topic EDAM_topic:0724 ! Protein families
    relationship: has_topic EDAM_topic:3052 ! Sequence clusters and classification

## Data files

The EDAM Ontology is included in EMBOSS as local database edam.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
drfinddata | Find public databases by data type
drfindformat | Find public databases by format
drfindid | Find public databases by identifier
drfindresource | Find public databases by resource
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontoget | Get ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text
wossdata | Find programs by EDAM data
wossinput | Find programs by EDAM input data
wossoperation | Find programs by EDAM operation
wossoutput | Find programs by EDAM output data
wossparam | Find programs by EDAM parameter
wosstopic | Find programs by EDAM topic

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None